> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Nodes

> List nodes for an organization.



## OpenAPI

````yaml get /orgs/{org_id}/nodes
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /orgs/{org_id}/nodes:
    get:
      tags:
        - nodes
      summary: List Nodes
      description: List nodes for an organization.
      operationId: list_nodes_orgs__org_id__nodes_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NodeListResponse:
      properties:
        nodes:
          items:
            $ref: '#/components/schemas/NodeResponse'
          type: array
          title: Nodes
          description: List of nodes
        total:
          type: integer
          title: Total
          description: Total number of nodes
        limit:
          type: integer
          title: Limit
          description: Items per page
        offset:
          type: integer
          title: Offset
          description: Current offset
      type: object
      required:
        - nodes
        - total
        - limit
        - offset
      title: NodeListResponse
      description: Response model for paginated node lists.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NodeResponse:
      properties:
        id:
          type: string
          title: Id
          description: Node ID
        title:
          type: string
          title: Title
          description: Node title
        description:
          type: string
          title: Description
          description: Node description
        org_id:
          type: string
          title: Org Id
          description: Organization ID
        public_id:
          type: string
          title: Public Id
          description: Public identifier
        created_by:
          type: string
          title: Created By
          description: Creator user ID
        created_by_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Email
          description: Creator email address
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        tags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tags
          description: Node tags
        directories:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Directories
          description: Directory paths
        num_parents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Parents
          description: How many parents contain this node
        num_children:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Children
          description: How many children this node contains
        num_descendants:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Descendants
          description: Total nodes reachable by walking down the tree
          default: 0
        num_ancestors:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Ancestors
          description: Total nodes reachable by walking up the tree
          default: 0
      type: object
      required:
        - id
        - title
        - description
        - org_id
        - public_id
        - created_by
        - created_at
      title: NodeResponse
      description: Response model for node data.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````